function [Time] = time_check (beta,number,first_gen)
gamma=rand(number,first_gen);
for i=1:number
    Time(i)=-beta*log(gamma(i));
end;

%Вычисление мат ожидания
mat_ogid=0;
for i=1:number
    mat_ogid = mat_ogid+Time(i);
end;
mat_ogid = mat_ogid/number
%Вычисление мат ожидания по формуле
mean(Time)
%Вычисление оценки дисперсии
temp=0;
for i=1:number
    temp = temp + (Time(i) - mat_ogid)^2;
end;
dispersiya = temp/(number-1)
%Вычисление дисперсии по формуле Mathlab
var(Time)
%Оценка ковариационной функции
kovariaz=0;
for j=1:number-1
    kovariaz(j)=0;
    for i=1:number-j
        kovariaz(j) = kovariaz(j) + (Time(i)-mat_ogid)*(Time(i+j)-mat_ogid);
    end;
    kovariaz(j) = kovariaz(j)/(number-j);
end;
%Оценка корреляционной функции
for j=1:number-1
    ro(j) = kovariaz(j)/dispersiya;
end;

subplot(1,1,1);plot(1:20,ro(1:20),'*');
figure(2)
subplot(1,1,1);plot(Time(1:number-1),Time(2:number),'*');
num=0;
k=1;
dx=0.15;
chastot(k) = 0;

for i=min(Time):dx:max(Time)-dx
    num=0;
    for j=1:number
        if (Time(j)>i)&&(Time(j)<i+dx)
            num=num+1;
        end;
    end;
    num=num/(number*dx);
    chastot(k) = num;
    k=k+1;
end;
expon_x=0.000001:0.001:max(Time);
figure(3)
subplot(1,1,1);
cla;
hold on
plot(expon_x,exp(expon_x.*(-1)),'Color','r','LineWidth',2);
bar(min(Time):dx:max(Time)-dx,chastot);
x(1)=mat_ogid-1.96*(dispersiya^0.5)/(number^0.5);
x(2)=mat_ogid+1.96*(dispersiya^0.5)/(number^0.5)



return;